{
    "name": "project-template-tsnode17",
    "version": "1.3.0",
    "description": "Node 17 (ES2022) Typescript project template with collection of pre-configured development utilities.",
    "main": "build/index.js",
    "scripts": {
        "test": "jest",
        "prepare": "husky install",
        "release": "standard-version",
        "format": "prettier --write .",
        "lint": "eslint . --ext .js,.jsx,.ts,.tsx"
    },
    "engines": {
        "node": ">=17.0.0"
    },
    "keywords": [
        "template"
    ],
    "author": {
        "name": "University of New Hampshire",
        "email": "csonline@cs.unh.edu",
        "url": "https://ceps.unh.edu/computer-science"
    },
    "license": "MIT",
    "devDependencies": {
        "@commitlint/cli": "^16.2.1",
        "@commitlint/config-conventional": "^16.2.1",
        "@tsconfig/node17": "^1.0.0",
        "@types/jest": "^27.4.1",
        "@types/node": "^17.0.21",
        "@typescript-eslint/eslint-plugin": "^5.14.0",
        "@typescript-eslint/parser": "^5.15.0",
        "eslint": "^8.11.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-import-resolver-typescript": "^2.5.0",
        "eslint-plugin-eslint-comments": "^3.2.0",
        "eslint-plugin-import": "^2.25.4",
        "eslint-plugin-jest": "^26.1.1",
        "husky": "^7.0.4",
        "jest": "^27.5.1",
        "lint-staged": "^12.3.5",
        "prettier": "2.5.1",
        "standard-version": "^9.3.2",
        "ts-jest": "^27.1.3",
        "typescript": "^4.6.2"
    },
    "lint-staged": {
        "*.{js,jsx,ts,tsx,json}": "eslint --cache --fix",
        "*.{js,jsx,ts,tsx,json,md}": "prettier --write"
    }
}
